from sys import stdin
from itertools import permutations

def check(arr, n):
    for i in range(1, n-1):
        if arr[i-1] + arr[i+1] < arr[i] * 2:
            return False
    return True
def solve():
    n = int(stdin.readline())
    a = list(map(int, stdin.readline().split()))
    a.sort(reverse=True)
    for p in permutations(a):
        if check(p,n):
            return "YES"
    return "NO"
for _ in range(int(input())):
    print(solve())
    